<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Domain\Model\Traits;

use Doctrine\ORM\Mapping as ORM;

trait SavesRawJson
{
    /**
     * @var array
     * @ORM\Column(type="json")
     */
    protected $rawJson = [];

    public function getRawJson(): ?array
    {
        return $this->rawJson;
    }

    public function setRawJson(array $rawJson): void
    {
        $this->rawJson = $rawJson;
    }
}
